{% include './header.html' %}

<div class="container">
    <div id="welcome">
      <p>Please type a sentence. The service will return the language it is written in, alongside with the probability for the result.</p>
      <p><strong>Example sentence:</strong> <i>Denkend aan Holland zie ik breede rivieren traag door oneindig laagland gaan.</i></p>
    </div>

    <form id="form_user_input" method="get" action="">
      <input id="msg" type="text" class="form-control" name="msg" autofocus="autofocus" placeholder="Text snippet">
      <input type="submit" class="btn btn-primary" style="background-color:#0000ff; margin-top: 10px" value="Send">
    </form>

    <div id="result"></div>
</div>

{% include './footer.html' %}

<script>
// Attach a submit handler to the form
$( "#form_user_input" ).submit(function( event ) {

  // Stop form from submitting normally
  event.preventDefault();

  // Get form field value
  var msg = $("#msg").val();

  // clear form field
  $("#msg").val("");

  // clear result div
  $("#result").html("");

  // Send the data using ajax
  $.ajax({
    url: "https://demo.qurator.ai/pub/srv-langident",
    type: 'GET',
    data: {
        "input": msg
    },
    contentType: 'text/plain',
    error : function(err) {
        console.log('Error!', err);
    },
    success: function(data) {
        console.log('Success!');
        $( "#result" ).append( '<p class="alert alert-info" style="margin-top: 10px;">Language: <strong>' + data + '</strong>.</p>');
    }
  });

});

</script>
</body>
</html>
